Loading...
Searching...
No Matches
Gudhi::persistence_matrix::Chain_barcode_swap< Master_matrix > Class Template Reference
Persistence Matrix

Class managing the barcode for Chain_vine_swap. More...

`#include <include/gudhi/Persistence_matrix/chain_vine_swap.h>`

## Public Types

using | ID_index = typename Master_matrix::ID_index
using | Pos_index = typename Master_matrix::Pos_index
Public Types inherited from Gudhi::persistence_matrix::Chain_pairing< Master_matrix >
using | Barcode = typename Master_matrix::Barcode
using | Dimension = typename Master_matrix::Dimension

## Public Member Functions

| Chain_barcode_swap ()
| Default constructor.
| Chain_barcode_swap (const Chain_barcode_swap &toCopy)
| Copy constructor.
| Chain_barcode_swap (Chain_barcode_swap &&other)
| Move constructor.
Public Member Functions inherited from Gudhi::persistence_matrix::Chain_pairing< Master_matrix >
| Chain_pairing ()
| Default constructor.
| Chain_pairing (const Chain_pairing &matrixToCopy)
| Copy constructor.
| Chain_pairing (Chain_pairing &&other) noexcept
| Move constructor.
const Barcode & | get_current_barcode () const
| Returns the current barcode which is maintained at any insertion, removal or vine swap.
Chain_pairing & | operator= (Chain_pairing other)
| Assign operator.

## Detailed Description

template<typename Master_matrix>
class Gudhi::persistence_matrix::Chain_barcode_swap< Master_matrix >

Class managing the barcode for Chain_vine_swap.

Template Parameters

  Master_matrix | An instantiation of Matrix from which all types and options are deduced.

## Member Typedef Documentation

## ID_index

template<typename Master_matrix>

using Gudhi::persistence_matrix::Chain_barcode_swap< Master_matrix >::ID_index = typename Master_matrix::ID_index

IDIdx index type.

## Pos_index

template<typename Master_matrix>

using Gudhi::persistence_matrix::Chain_barcode_swap< Master_matrix >::Pos_index = typename Master_matrix::Pos_index

PosIdx index type.

## Constructor & Destructor Documentation

## Chain_barcode_swap() [1/2]

template<typename Master_matrix>

Gudhi::persistence_matrix::Chain_barcode_swap< Master_matrix >::Chain_barcode_swap | ( | const Chain_barcode_swap< Master_matrix > & | toCopy | ) |

inline

Copy constructor.

Parameters

  toCopy | Matrix to copy.

## Chain_barcode_swap() [2/2]

template<typename Master_matrix>

Gudhi::persistence_matrix::Chain_barcode_swap< Master_matrix >::Chain_barcode_swap | ( | Chain_barcode_swap< Master_matrix > && | other | ) |

inline

Move constructor.

Parameters

  other | Matrix to move.

The documentation for this class was generated from the following file:

- include/gudhi/Persistence_matrix/chain_vine_swap.h